/[suikacvs]/test/suikawebwww/style/html/xhtml1.css
Suika

Contents of /test/suikawebwww/style/html/xhtml1.css

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.31 - (show annotations) (download) (as text)
Sun Jul 25 07:17:21 2010 UTC (15 years, 11 months ago) by wakaba
Branch: MAIN
Changes since 1.30: +11 -2 lines
File MIME type: text/css
italicize foreign (es) words; hide hr

1 @charset 'iso-2022-jp';
2 @namespace 'http://www.w3.org/1999/xhtml';
3 @namespace xml 'http://www.w3.org/XML/1998/namespace';
4
5 html {
6 display: block;
7 line-height: 2.0;
8 }
9 head {
10 display: none;
11 }
12
13 body {
14 display: block;
15 margin: 1em 1.5em;
16 }
17
18 blockquote, table {
19 margin: 1em 2em;
20 }
21
22 h1, h2, h3, h4, h5, h6 {
23 display: block;
24 line-height: 1.5;
25 font-size: 120%;
26 font-weight: bolder;
27 font-family: sans-serif;
28 text-align: left;
29 }
30
31 @media print {
32 h1, h2, h3, h4, h5, h6 {
33 page-break-after: avoid;
34 }
35 }
36
37 h1 {
38 text-align: center;
39 font-size: 140%;
40 }
41
42 h3:before {
43 content: "\0025B6" " ";
44 }
45
46 h4:before {
47 content: "\0025B7" " ";
48 }
49
50 p {
51 display: block;
52 text-indent: 1em;
53 margin: 0 1em;
54 text-align: justify;
55 }
56 p:lang(en) {
57 text-indent: 2em;
58 }
59
60 ul, ol, dl {
61 display: block;
62 margin: 1em;
63 padding: 0;
64 }
65
66 p + ul, p + ol, p + dl,
67 p > ul, p > ol, p > dl {
68 margin-left: 3em;
69 }
70
71 dt, li {
72 display: list-item;
73 margin-left: 1em;
74 padding-left: 0.5em;
75 text-indent: 0;
76 text-align: justify;
77 }
78 ul li {
79 list-style: disc;
80 }
81 dt dt, ul li ul li {
82 list-style: square;
83 }
84 ol li {
85 list-style: decimal;
86 }
87 ol li ol li {
88 list-style: lower-alpha;
89 }
90
91 li > ul:first-child, li > ol:first-child, li > dl:first-child,
92 dd > ul:first-child, dd > ol:first-child, dd > dl:first-child {
93 margin-top: 0;
94 }
95
96 li > ul,
97 li > ol,
98 li > dl {
99 margin-top: 0;
100 }
101
102 li > ul:last-child, li > ol:last-child, li > dl:last-child,
103 dd > ul:last-child, dd > ol:last-child, dd > dl:last-child {
104 margin-bottom: 0;
105 }
106
107 dt {
108 font-weight: normal;
109 list-style: disc;
110 }
111
112 dd {
113 display: block;
114 margin-left: 0;
115 padding-left: 3em;
116 list-style-type: none;
117 }
118
119 @media print {
120 dt {
121 page-break-after: avoid;
122 }
123 dd {
124 page-break-before: avoid;
125 }
126 }
127
128 ul > li:first-child:last-child {
129 list-style: disc;
130 }
131
132 li > p:first-child,
133 dd > p:first-child {
134 text-indent: 0;
135 }
136
137 blockquote {
138 display: block;
139 border-left: 1em double rgb(204, 0, 0);
140 padding-left: 1em;
141 }
142
143 blockquote > cite {
144 display: block;
145 margin-right: 2em;
146 text-align: right;
147 }
148 /* XML Alternate: H3|credit */
149
150 blockquote > cite:before {
151 display: inline;
152 content: "$B!=!=(B " !important;
153 }
154 blockquote > cite:after {
155 display: inline;
156 content: "" !important;
157 }
158
159 table {
160 margin-left: auto;
161 margin-right: auto;
162 }
163
164 /* Sections */
165
166 section, article, nav, aside,
167 header, footer {
168 display: block;
169 }
170
171 hr {
172 visibility: hidden;
173 }
174
175 /* Physical Blocks */
176
177 pre {
178 display: block;
179 margin: 0 1em;
180 overflow: auto;
181 font-family: "Courier New", "Courier", monospace;
182 }
183
184 /* Phrase */
185
186 code {
187 font-family: "Courier New", "Courier", monospace;
188 letter-spacing: 0.1em;
189 background-color: transparent;
190 color: orangered;
191 }
192
193 var {
194 border-bottom-style: solid;
195 border-bottom-width: 1px;
196 padding-bottom: 0.025em;
197 font-style: normal;
198 text-decoration: none;
199 }
200 var:lang(en) {
201 border-bottom-style: none;
202 font-family: "Times New Roman", serif;
203 font-style: italic;
204 text-decoration: none;
205 }
206
207 dfn:lang(en) > var:lang(en):only-child {
208 font-style: inherit;
209 }
210
211 /* Abbrevitions */
212 abbr[title] {
213 border-style: none;
214 text-transform: none;
215 font-variant: normal;
216 font-style: normal;
217 font-size: 100%;
218 }
219
220 dfn:lang(en) abbr[title] {
221 font-style: italic;
222 }
223
224 @media screen {
225 abbr[title] {
226 border-bottom: 1px dotted #FF0080;
227 padding-bottom: 0.025em;
228 cursor: help;
229 }
230 }
231
232 /* Defining Instances */
233 dfn {
234 font-style: normal;
235 font-weight: bolder;
236 /* font-family: sans-serif; */
237 font-size: 100%;
238 }
239 dfn:lang(en) {
240 font-style: italic;
241 font-weight: normal;
242 /* font-family: "Times New Roman", "Times", serif; */
243 }
244
245 dfn:lang(en) dfn:lang(en) {
246 font-style: normal;
247 }
248
249 dfn:lang(en) em {
250 font-style: normal;
251 }
252
253 /* One of the last resorts */
254 i:lang(en) {
255 font-style: italic;
256 text-decoration: none;
257 }
258
259 i:lang(es) {
260 font-style: italic;
261 text-decoration: none;
262 }
263
264 /* Term instance (HTML5) */
265 /* Though this definition is now obsolete, some old documents
266 have used it. */
267 i {
268 border-style: none;
269 font-style: normal;
270 font-size: 100%;
271 text-decoration: none;
272 }
273
274 /* Inputs */
275 kbd {
276 margin: 0 0.3em;
277 border: dotted #C0C0C0 1px;
278 padding: 0.2em 0.3em;
279 font-family: "Courier New", "Courier", monospace;
280 font-size: 100%;
281 line-height: 1.1;
282 }
283
284 em {
285 border-bottom-style: solid;
286 border-bottom-width: 1px;
287 padding-bottom: 0.03em;
288 font-style: normal;
289 text-decoration: none;
290 font-size: 100%;
291 }
292
293 em:lang(en) {
294 border-bottom-style: none;
295 font-style: italic;
296 text-decoration: none;
297 }
298
299 em:lang(en) :lang(ja) {
300 font-style: normal;
301 }
302
303 strong {
304 font-weight: bolder;
305 font-family: sans-serif;
306 }
307 /* Alternate: h1|em */
308
309 /* HTML5 <mark> */
310 m, mark {
311 text-decoration: underline;
312 background-color: #ffff4d;
313 }
314
315 mark:empty:before {
316 content: "\A0";
317 }
318 /*
319 NOTE: For compatibility with old documents that use |m| as
320 element names, we keep |m| in the selector as is.
321 */
322
323 /* Citations and quotations */
324
325 /*
326 * $B8@8l>pJs$G>l9gJ,$1$9$k$N$O@5$7$/$J$$$,!"8=:_$N(B CSS
327 * $B$K$OMQ;z7O$NA*Br;R$,$J$$$+$i!"6a;wE*$K$3$l$r;H$&!#(B
328 */
329
330 :lang(ja) > cite {
331 quotes: none;
332 font-style: normal;
333 }
334 :lang(ja) > cite:before {
335 content: "$B!X(B";
336 }
337 :lang(ja) > cite:after {
338 content: "$B!Y(B";
339 }
340
341 cite:lang(ja) cite {
342 quotes: none;
343 }
344 cite:lang(ja) cite:before { content: "$B!V(B" }
345 cite:lang(ja) cite:after { content: "$B!W(B" }
346
347 [lang|="en"] cite, [xml|lang|="en"] cite {
348 quotes: none;
349 font-style: italic;
350 }
351 [lang|="en"] cite cite, [xml|lang|="en"] cite cite {
352 quotes: none;
353 font-style: normal;
354 }
355 [lang|="en"] cite:before, [xml|lang|="en"] cite:before,
356 [lang|="en"] cite:after, [xml|lang|="en"] cite:after {
357 content: "";
358 content: normal;
359 }
360
361 :lang(ja) > q {
362 quotes: none;
363 }
364 :lang(ja) > q:before {
365 content: " $B!V(B";
366 }
367 :lang(ja) > q:after {
368 content: "$B!W(B ";
369 }
370
371 :lang(ja) > q q:before {
372 content: " $B!X(B";
373 }
374
375 :lang(ja) > q q:after {
376 content: "$B!Y(B ";
377 }
378
379 :lang(en) > q {
380 quotes: none;
381 }
382
383 :lang(en) > q:before {
384 content: " $B!H(B";
385 }
386
387 :lang(en) > q:after {
388 content: "$B!I(B ";
389 }
390
391 /* Tables */
392
393 table {
394 border: 1px solid gray;
395 border-spacing: 0;
396 }
397
398 thead, tfoot, th {
399 font-weight: bolder;
400 font-family: sans-serif;
401 }
402
403 td, th {
404 padding: 0.2em 0.4em;
405 border: 1px solid #E0E0E0;
406 empty-cells: show;
407 }
408
409 th[scope="row"], th[scope="rowgroup"] {
410 text-align: left;
411 border-right: 1px solid #C0C0C0;
412 }
413 th[scope="col"], th[scope="colgroup"] {
414 text-align: center;
415 border-bottom: 1px solid #C0C0C0;
416 }
417
418 /* Subscripts and Superscripts */
419
420 sub {
421 vertical-align: sub;
422 font-size: 80%;
423 }
424 sup {
425 vertical-align: top;
426 font-size: 80%;
427 }
428
429
430 /* Edit */
431
432 ins {
433 border-bottom-style: solid;
434 border-bottom-width: 1px;
435 padding-bottom: 0.03em;
436 background-color: rgb(255, 255, 153);
437 color: black;
438 font-style: normal;
439 text-decoration: none;
440 }
441
442 body > ins {
443 display: block;
444 text-decoration: none;
445 }
446
447 del {
448 background-color: #FFBBBB;
449 color: black;
450 font-size: 80%;
451 text-decoration: line-through;
452 }
453
454 body > del {
455 display: block;
456 }
457
458 /* Footer */
459
460 address {
461 font-style: normal;
462 font-size: 100%;
463 }
464
465 /* Hyperlinks */
466
467 a:link, a:visited {
468 text-decoration: none;
469 border-bottom-style: solid;
470 border-bottom-width: 1px;
471 padding-bottom: 0.05em;
472 }
473
474 [href^="#"]:link, [href^="#"]:visited {
475 text-decoration: none !important;
476 border-bottom: dotted 1px !important;
477 }
478
479 a:hover {
480 background-color: #FFA;
481 color: #000080;
482 }
483
484 a[rel~=feed] {
485 background-image: url(../images/feed); /* 16x16 */
486 background-repeat: no-repeat;
487 background-position: left center;
488 margin-left: 4px;
489 padding-left: 20px;
490 }
491
492 /* Forms */
493
494 textarea {
495 vertical-align: top;
496 }
497
498 /* License
499
500 Copyright 2003-2010 Wakaba <[email protected]>.
501
502 This program is free software; you can redistribute it and/or modify
503 it under the terms of the GNU General Public License as published by
504 the Free Software Foundation; either version 2 of the License, or
505 (at your option) any later version.
506
507 This program is distributed in the hope that it will be useful,
508 but WITHOUT ANY WARRANTY; without even the implied warranty of
509 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
510 GNU General Public License for more details.
511
512 You should have received a copy of the GNU General Public License
513 along with this program; see the file COPYING. If not, write to
514 the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
515 Boston, MA 02111-1307, USA.
516
517 */
518
519 /* $Date: 2009/03/08 15:15:40 $ */

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24